Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 17221
Description

This bug is related to #8410 but occurs under different conditions in the current daily build (git20130810). It can be reproduced by the
following steps:

1. Add a valid plugin repository with some unicode characters in its title (e.g. 'd")
2. Right-click on the repository and choose 'Only show plugins from the selected repository’

The above steps result in an error message (below):
An error occured during execution of following code:
pyplugin_installer.instance().setRepositorylnspectionFilter('¢p')

Traceback (most recent call last):
File ™, line 1, in
File "/usr/share/qgis/python/pyplugin_installer/installer.py", line 510, in setRepositorylnspectionFilter
self.reloadAndExportData()
File "/usr/share/qgis/python/pyplugin_installer/installer.py", line 236, in reloadAndExportData
self.fetchAvailablePlugins(reloadMode = True)
File "/usr/share/qgis/python/pyplugin_installer/installer.py", line 116, in fetchAvailablePlugins
for key in repositories.allEnabled():
File "/usr/share/qgis/python/pyplugin_installer/installer_data.py", line 213, in allEnabled
return { self.minspectionFilter: self. mnRepositories[self.mInspectionFilter] }
KeyError: \\xd1\\x84'

Associated revisions

Revision ec2992e8 - 2013-08-12 01:46 PM - Alexander Bruy

correct handling for non ASCII characters in plugin installer (fix #8452)

History

#1 - 2013-08-11 06:43 PM - artfwo -

The (same?) bug occurs when the repository is deleted.

#2 - 2013-08-12 04:47 AM - Alexander Bruy
- Status changed from Open to Closed

2025-04-27 12




Fixed in changeset commit:"ec2992e8f9883b3e794c7fe95ce0d6aaad7785¢ef".

#3 - 2013-08-12 04:48 AM - Alexander Bruy
- Resolution set to fixed
